<?php
$tdatatickeo = array();
$tdatatickeo[".searchableFields"] = array();
$tdatatickeo[".ShortName"] = "tickeo";
$tdatatickeo[".OwnerID"] = "";
$tdatatickeo[".OriginalTable"] = "dbo.tickeo";


$tdatatickeo[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatatickeo[".originalPagesByType"] = $tdatatickeo[".pagesByType"];
$tdatatickeo[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatatickeo[".originalPages"] = $tdatatickeo[".pages"];
$tdatatickeo[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatatickeo[".originalDefaultPages"] = $tdatatickeo[".defaultPages"];

//	field labels
$fieldLabelstickeo = array();
$fieldToolTipstickeo = array();
$pageTitlestickeo = array();
$placeHolderstickeo = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstickeo["English"] = array();
	$fieldToolTipstickeo["English"] = array();
	$placeHolderstickeo["English"] = array();
	$pageTitlestickeo["English"] = array();
	$fieldLabelstickeo["English"]["empleadoID"] = "Empleado ID";
	$fieldToolTipstickeo["English"]["empleadoID"] = "";
	$placeHolderstickeo["English"]["empleadoID"] = "";
	$fieldLabelstickeo["English"]["fechahora"] = "Fechahora";
	$fieldToolTipstickeo["English"]["fechahora"] = "";
	$placeHolderstickeo["English"]["fechahora"] = "";
	$fieldLabelstickeo["English"]["fecha"] = "Fecha";
	$fieldToolTipstickeo["English"]["fecha"] = "";
	$placeHolderstickeo["English"]["fecha"] = "";
	$fieldLabelstickeo["English"]["hora"] = "Hora";
	$fieldToolTipstickeo["English"]["hora"] = "";
	$placeHolderstickeo["English"]["hora"] = "";
	$fieldLabelstickeo["English"]["descrpcion"] = "Descrpcion";
	$fieldToolTipstickeo["English"]["descrpcion"] = "";
	$placeHolderstickeo["English"]["descrpcion"] = "";
	$fieldLabelstickeo["English"]["nombredis"] = "Nombredis";
	$fieldToolTipstickeo["English"]["nombredis"] = "";
	$placeHolderstickeo["English"]["nombredis"] = "";
	$fieldLabelstickeo["English"]["sndis"] = "Sndis";
	$fieldToolTipstickeo["English"]["sndis"] = "";
	$placeHolderstickeo["English"]["sndis"] = "";
	$fieldLabelstickeo["English"]["nombre"] = "Nombre";
	$fieldToolTipstickeo["English"]["nombre"] = "";
	$placeHolderstickeo["English"]["nombre"] = "";
	$fieldLabelstickeo["English"]["ci"] = "Ci";
	$fieldToolTipstickeo["English"]["ci"] = "";
	$placeHolderstickeo["English"]["ci"] = "";
	if (count($fieldToolTipstickeo["English"]))
		$tdatatickeo[".isUseToolTips"] = true;
}


	$tdatatickeo[".NCSearch"] = true;



$tdatatickeo[".shortTableName"] = "tickeo";
$tdatatickeo[".nSecOptions"] = 0;

$tdatatickeo[".mainTableOwnerID"] = "";
$tdatatickeo[".entityType"] = 0;
$tdatatickeo[".connId"] = "biometrico_at_127_0_0_1";


$tdatatickeo[".strOriginalTableName"] = "dbo.tickeo";

	



$tdatatickeo[".showAddInPopup"] = false;

$tdatatickeo[".showEditInPopup"] = false;

$tdatatickeo[".showViewInPopup"] = false;

$tdatatickeo[".listAjax"] = false;
//	temporary
//$tdatatickeo[".listAjax"] = false;

	$tdatatickeo[".audit"] = false;

	$tdatatickeo[".locking"] = false;


$pages = $tdatatickeo[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatickeo[".edit"] = true;
	$tdatatickeo[".afterEditAction"] = 1;
	$tdatatickeo[".closePopupAfterEdit"] = 1;
	$tdatatickeo[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatickeo[".add"] = true;
$tdatatickeo[".afterAddAction"] = 1;
$tdatatickeo[".closePopupAfterAdd"] = 1;
$tdatatickeo[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatickeo[".list"] = true;
}



$tdatatickeo[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatickeo[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatickeo[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatickeo[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatickeo[".printFriendly"] = true;
}



$tdatatickeo[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatickeo[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatickeo[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatickeo[".isUseAjaxSuggest"] = true;





$tdatatickeo[".ajaxCodeSnippetAdded"] = false;

$tdatatickeo[".buttonsAdded"] = false;

$tdatatickeo[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatickeo[".isUseTimeForSearch"] = false;


$tdatatickeo[".badgeColor"] = "1E90FF";


$tdatatickeo[".allSearchFields"] = array();
$tdatatickeo[".filterFields"] = array();
$tdatatickeo[".requiredSearchFields"] = array();

$tdatatickeo[".googleLikeFields"] = array();
$tdatatickeo[".googleLikeFields"][] = "empleadoID";
$tdatatickeo[".googleLikeFields"][] = "fechahora";
$tdatatickeo[".googleLikeFields"][] = "fecha";
$tdatatickeo[".googleLikeFields"][] = "hora";
$tdatatickeo[".googleLikeFields"][] = "descrpcion";
$tdatatickeo[".googleLikeFields"][] = "nombredis";
$tdatatickeo[".googleLikeFields"][] = "sndis";
$tdatatickeo[".googleLikeFields"][] = "nombre";
$tdatatickeo[".googleLikeFields"][] = "ci";



$tdatatickeo[".tableType"] = "list";

$tdatatickeo[".printerPageOrientation"] = 0;
$tdatatickeo[".nPrinterPageScale"] = 100;

$tdatatickeo[".nPrinterSplitRecords"] = 40;

$tdatatickeo[".geocodingEnabled"] = false;










$tdatatickeo[".pageSize"] = 20;

$tdatatickeo[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatatickeo[".strOrderBy"] = $tstrOrderBy;

$tdatatickeo[".orderindexes"] = array();


$tdatatickeo[".sqlHead"] = "SELECT empleadoID,  	fechahora,  	fecha,  	hora,  	descrpcion,  	nombredis,  	sndis,  	nombre,  	ci";
$tdatatickeo[".sqlFrom"] = "FROM dbo.tickeo";
$tdatatickeo[".sqlWhereExpr"] = "";
$tdatatickeo[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatickeo[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatickeo[".arrGroupsPerPage"] = $arrGPP;

$tdatatickeo[".highlightSearchResults"] = true;

$tableKeystickeo = array();
$tdatatickeo[".Keys"] = $tableKeystickeo;


$tdatatickeo[".hideMobileList"] = array();




//	empleadoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "empleadoID";
	$fdata["GoodName"] = "empleadoID";
	$fdata["ownerTable"] = "dbo.tickeo";
	$fdata["Label"] = GetFieldLabel("dbo_tickeo","empleadoID");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "empleadoID";

		$fdata["sourceSingle"] = "empleadoID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "empleadoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo["empleadoID"] = $fdata;
		$tdatatickeo[".searchableFields"][] = "empleadoID";
//	fechahora
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "fechahora";
	$fdata["GoodName"] = "fechahora";
	$fdata["ownerTable"] = "dbo.tickeo";
	$fdata["Label"] = GetFieldLabel("dbo_tickeo","fechahora");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fechahora";

		$fdata["sourceSingle"] = "fechahora";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fechahora";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo["fechahora"] = $fdata;
		$tdatatickeo[".searchableFields"][] = "fechahora";
//	fecha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "fecha";
	$fdata["GoodName"] = "fecha";
	$fdata["ownerTable"] = "dbo.tickeo";
	$fdata["Label"] = GetFieldLabel("dbo_tickeo","fecha");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha";

		$fdata["sourceSingle"] = "fecha";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo["fecha"] = $fdata;
		$tdatatickeo[".searchableFields"][] = "fecha";
//	hora
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "hora";
	$fdata["GoodName"] = "hora";
	$fdata["ownerTable"] = "dbo.tickeo";
	$fdata["Label"] = GetFieldLabel("dbo_tickeo","hora");
	$fdata["FieldType"] = 134;


	
	
			

		$fdata["strField"] = "hora";

		$fdata["sourceSingle"] = "hora";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "hora";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Time");

	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["timeFormatData"] = array(
		"showSeconds" => false,
		"showDaysInTotals" => false,
		"timeFormat" => 0
	);
	$vdata["timeFormatData"]["showSeconds"] = true;
	$vdata["timeFormatData"]["showDaysInTotals"] = true;

		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Time");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
				$hours = 24;
	$edata["FormatTimeAttrs"] = array("useTimePicker" => 0,
									  "hours" => $hours,
									  "minutes" => 1,
									  "showSeconds" => 0);

	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo["hora"] = $fdata;
		$tdatatickeo[".searchableFields"][] = "hora";
//	descrpcion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "descrpcion";
	$fdata["GoodName"] = "descrpcion";
	$fdata["ownerTable"] = "dbo.tickeo";
	$fdata["Label"] = GetFieldLabel("dbo_tickeo","descrpcion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "descrpcion";

		$fdata["sourceSingle"] = "descrpcion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "descrpcion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo["descrpcion"] = $fdata;
		$tdatatickeo[".searchableFields"][] = "descrpcion";
//	nombredis
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "nombredis";
	$fdata["GoodName"] = "nombredis";
	$fdata["ownerTable"] = "dbo.tickeo";
	$fdata["Label"] = GetFieldLabel("dbo_tickeo","nombredis");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombredis";

		$fdata["sourceSingle"] = "nombredis";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombredis";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo["nombredis"] = $fdata;
		$tdatatickeo[".searchableFields"][] = "nombredis";
//	sndis
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "sndis";
	$fdata["GoodName"] = "sndis";
	$fdata["ownerTable"] = "dbo.tickeo";
	$fdata["Label"] = GetFieldLabel("dbo_tickeo","sndis");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "sndis";

		$fdata["sourceSingle"] = "sndis";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sndis";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo["sndis"] = $fdata;
		$tdatatickeo[".searchableFields"][] = "sndis";
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "dbo.tickeo";
	$fdata["Label"] = GetFieldLabel("dbo_tickeo","nombre");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

		$fdata["sourceSingle"] = "nombre";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo["nombre"] = $fdata;
		$tdatatickeo[".searchableFields"][] = "nombre";
//	ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "ci";
	$fdata["GoodName"] = "ci";
	$fdata["ownerTable"] = "dbo.tickeo";
	$fdata["Label"] = GetFieldLabel("dbo_tickeo","ci");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "ci";

		$fdata["sourceSingle"] = "ci";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo["ci"] = $fdata;
		$tdatatickeo[".searchableFields"][] = "ci";


$tables_data["dbo.tickeo"]=&$tdatatickeo;
$field_labels["dbo_tickeo"] = &$fieldLabelstickeo;
$fieldToolTips["dbo_tickeo"] = &$fieldToolTipstickeo;
$placeHolders["dbo_tickeo"] = &$placeHolderstickeo;
$page_titles["dbo_tickeo"] = &$pageTitlestickeo;


changeTextControlsToDate( "dbo.tickeo" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["dbo.tickeo"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["dbo.tickeo"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_tickeo()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "empleadoID,  	fechahora,  	fecha,  	hora,  	descrpcion,  	nombredis,  	sndis,  	nombre,  	ci";
$proto0["m_strFrom"] = "FROM dbo.tickeo";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "empleadoID",
	"m_strTable" => "dbo.tickeo",
	"m_srcTableName" => "dbo.tickeo"
));

$proto6["m_sql"] = "empleadoID";
$proto6["m_srcTableName"] = "dbo.tickeo";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "fechahora",
	"m_strTable" => "dbo.tickeo",
	"m_srcTableName" => "dbo.tickeo"
));

$proto8["m_sql"] = "fechahora";
$proto8["m_srcTableName"] = "dbo.tickeo";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha",
	"m_strTable" => "dbo.tickeo",
	"m_srcTableName" => "dbo.tickeo"
));

$proto10["m_sql"] = "fecha";
$proto10["m_srcTableName"] = "dbo.tickeo";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "hora",
	"m_strTable" => "dbo.tickeo",
	"m_srcTableName" => "dbo.tickeo"
));

$proto12["m_sql"] = "hora";
$proto12["m_srcTableName"] = "dbo.tickeo";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "descrpcion",
	"m_strTable" => "dbo.tickeo",
	"m_srcTableName" => "dbo.tickeo"
));

$proto14["m_sql"] = "descrpcion";
$proto14["m_srcTableName"] = "dbo.tickeo";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "nombredis",
	"m_strTable" => "dbo.tickeo",
	"m_srcTableName" => "dbo.tickeo"
));

$proto16["m_sql"] = "nombredis";
$proto16["m_srcTableName"] = "dbo.tickeo";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "sndis",
	"m_strTable" => "dbo.tickeo",
	"m_srcTableName" => "dbo.tickeo"
));

$proto18["m_sql"] = "sndis";
$proto18["m_srcTableName"] = "dbo.tickeo";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "dbo.tickeo",
	"m_srcTableName" => "dbo.tickeo"
));

$proto20["m_sql"] = "nombre";
$proto20["m_srcTableName"] = "dbo.tickeo";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "dbo.tickeo",
	"m_srcTableName" => "dbo.tickeo"
));

$proto22["m_sql"] = "ci";
$proto22["m_srcTableName"] = "dbo.tickeo";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "dbo.tickeo";
$proto25["m_srcTableName"] = "dbo.tickeo";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "empleadoID";
$proto25["m_columns"][] = "fechahora";
$proto25["m_columns"][] = "fecha";
$proto25["m_columns"][] = "hora";
$proto25["m_columns"][] = "descrpcion";
$proto25["m_columns"][] = "nombredis";
$proto25["m_columns"][] = "sndis";
$proto25["m_columns"][] = "nombre";
$proto25["m_columns"][] = "ci";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "dbo.tickeo";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "dbo.tickeo";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="dbo.tickeo";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tickeo = createSqlQuery_tickeo();


	
		;

									

$tdatatickeo[".sqlquery"] = $queryData_tickeo;



$tdatatickeo[".hasEvents"] = false;

?>